Loading...
Searching...
No Matches
EyeControlPanel Class Reference

`#include <gnuradio/qtgui/eyecontrolpanel.h>`

## Public Slots

void | toggleAutoScale (bool en)
void | toggleGrid (bool en)
void | toggleTriggerMode (gr::qtgui::trigger_mode mode)
void | toggleTriggerSlope (gr::qtgui::trigger_slope slope)
void | toggleStopButton ()
void | updateStopLabel (bool on)

## Signals

void | signalToggleStopButton ()

## Public Member Functions

| EyeControlPanel (EyeDisplayForm *form)
| ~EyeControlPanel () override

## Constructor & Destructor Documentation

## EyeControlPanel()

EyeControlPanel::EyeControlPanel | ( | EyeDisplayForm * | form | ) |

## ~EyeControlPanel()

EyeControlPanel::~EyeControlPanel | ( |  | ) |

override

## Member Function Documentation

## signalToggleStopButton

void EyeControlPanel::signalToggleStopButton | ( |  | ) |

signal

## toggleAutoScale

void EyeControlPanel::toggleAutoScale | ( | bool | en | ) |

slot

## toggleGrid

void EyeControlPanel::toggleGrid | ( | bool | en | ) |

slot

## toggleStopButton

void EyeControlPanel::toggleStopButton | ( |  | ) |

slot

## toggleTriggerMode

void EyeControlPanel::toggleTriggerMode | ( | gr::qtgui::trigger_mode | mode | ) |

slot

## toggleTriggerSlope

void EyeControlPanel::toggleTriggerSlope | ( | gr::qtgui::trigger_slope | slope | ) |

slot

## updateStopLabel

void EyeControlPanel::updateStopLabel | ( | bool | on | ) |

slot

The documentation for this class was generated from the following file:

- eyecontrolpanel.h